Fingerprint_Card

Loading...
Searching...
No Matches
ICSharpCode.SharpZipLib.Zip.ExtendedUnixData Class Reference

Class representing extended unix date time values. More...

Inheritance diagram for ICSharpCode.SharpZipLib.Zip.ExtendedUnixData:
[legend]
Collaboration diagram for ICSharpCode.SharpZipLib.Zip.ExtendedUnixData:
[legend]

## Public Types
enum | Flags : byte { ModificationTime = 0x01 , AccessTime = 0x02 , CreateTime = 0x04 }
| Flags indicate which values are included in this instance. More...

## Public Member Functions
void | SetData (byte[] data, int index, int count)
| Set the data from the raw values provided.
byte[] | GetData ()
| Get the binary data representing this instance.

## Static Public Member Functions
static bool | IsValidValue (DateTime value)
| Test a value to see if is valid and can be represented here.

## Properties
short | TagID`[get]`
| Get the ID.
DateTime | ModificationTime`[get, set]`
| Get /set the Modification Time.
DateTime | AccessTime`[get, set]`
| Get / set the Access Time.
DateTime | CreateTime`[get, set]`
| Get / Set the Create Time.
Flags | Include`[get, set]`
| Get/set the values to include.

## Private Attributes
Flags | _flags
DateTime | _modificationTime = new DateTime(1970,1,1)
DateTime | _lastAccessTime = new DateTime(1970, 1, 1)
DateTime | _createTime = new DateTime(1970, 1, 1)

## Detailed Description

Class representing extended unix date time values.

## Member Enumeration Documentation

## ◆ Flags

enum ICSharpCode.SharpZipLib.Zip.ExtendedUnixData.Flags : byte

Flags indicate which values are included in this instance.

Enumerator
ModificationTime | The modification time is included.
AccessTime | The access time is included.
CreateTime | The create time is included.

## Member Function Documentation

## ◆ GetData()

byte[] ICSharpCode.SharpZipLib.Zip.ExtendedUnixData.GetData | ( |  | ) |

Get the binary data representing this instance.

Returns
  The raw binary data representing this instance.

Implements ICSharpCode.SharpZipLib.Zip.ITaggedData.

## ◆ IsValidValue()

bool ICSharpCode.SharpZipLib.Zip.ExtendedUnixData.IsValidValue | ( | DateTime | value | ) |
| static

Test a value to see if is valid and can be represented here.

Parameters

  value | The value to test.

Returns
  Returns true if the value is valid and can be represented; false if not.

The standard Unix time is a signed integer data type, directly encoding the Unix time number, which is the number of seconds since 1970-01-01. Being 32 bits means the values here cover a range of about 136 years. The minimum representable time is 1901-12-13 20:45:52, and the maximum representable time is 2038-01-19 03:14:07.

## ◆ SetData()

void ICSharpCode.SharpZipLib.Zip.ExtendedUnixData.SetData | ( | byte[] | data,
|  | int | index,
|  | int | count )

Set the data from the raw values provided.

Parameters

  data | The raw data to extract values from.
  index | The index to start extracting values from.
  count | The number of bytes available.

Implements ICSharpCode.SharpZipLib.Zip.ITaggedData.

## Member Data Documentation

## ◆ _createTime

DateTime ICSharpCode.SharpZipLib.Zip.ExtendedUnixData._createTime = new DateTime(1970, 1, 1)
| private

## ◆ _flags

Flags ICSharpCode.SharpZipLib.Zip.ExtendedUnixData._flags
| private

## ◆ _lastAccessTime

DateTime ICSharpCode.SharpZipLib.Zip.ExtendedUnixData._lastAccessTime = new DateTime(1970, 1, 1)
| private

## ◆ _modificationTime

DateTime ICSharpCode.SharpZipLib.Zip.ExtendedUnixData._modificationTime = new DateTime(1970,1,1)
| private

## Property Documentation

## ◆ AccessTime

DateTime ICSharpCode.SharpZipLib.Zip.ExtendedUnixData.AccessTime
| get set

Get / set the Access Time.

Exceptions

  ArgumentOutOfRangeException |

See also
  IsValidValue

## ◆ CreateTime

DateTime ICSharpCode.SharpZipLib.Zip.ExtendedUnixData.CreateTime
| get set

Get / Set the Create Time.

Exceptions

  ArgumentOutOfRangeException |

See also
  IsValidValue

## ◆ Include

Flags ICSharpCode.SharpZipLib.Zip.ExtendedUnixData.Include
| get set private

Get/set the values to include.

## ◆ ModificationTime

DateTime ICSharpCode.SharpZipLib.Zip.ExtendedUnixData.ModificationTime
| get set

Get /set the Modification Time.

Exceptions

  ArgumentOutOfRangeException |

See also
  IsValidValue

## ◆ TagID

short ICSharpCode.SharpZipLib.Zip.ExtendedUnixData.TagID
| get

Get the ID.

Implements ICSharpCode.SharpZipLib.Zip.ITaggedData.

The documentation for this class was generated from the following file:

- ICSharpCode.SharpZLib/Zip/ZipExtraData.cs